# QNetworkAccessManager Class Reference

### [com.trolltech.qt.network package]

Inherits QObject.

### Constructor

- void QNetworkAccessManager(QObject parent)

### Constructor Properties

- prototype: The QNetworkAccessManager prototype object
- UnknownAccessibility = -1
- NotAccessible = 0
- Accessible = 1
- NetworkAccessibility( value )
- UnknownOperation = 0
- HeadOperation = 1
- GetOperation
- PutOperation
- PostOperation
- DeleteOperation
- CustomOperation
- Operation( value )

### Prototype Object Properties

The QNetworkAccessManager prototype object inherits properties from the QObject prototype object and also has the following properties.

- QAbstractNetworkCache cache()
- QNetworkCookieJar cookieJar()
- QNetworkReply deleteResource(QNetworkRequest request)
- QNetworkReply get(QNetworkRequest request)
- QNetworkReply head(QNetworkRequest request)
- QNetworkReply post(QNetworkRequest request, QIODevice data)
- QNetworkProxy proxy()
- QNetworkProxyFactory proxyFactory()
- QNetworkReply put(QNetworkRequest request, QIODevice data)
- QNetworkReply sendCustomRequest(QNetworkRequest request, QByteArray verb, QIODevice data)
- void setCache(QAbstractNetworkCache cache)
- void setCookieJar(QNetworkCookieJar cookieJar)
- void setProxy(QNetworkProxy proxy)
- void setProxyFactory(QNetworkProxyFactory factory)

### Instance Properties

QNetworkAccessManager objects inherit properties from the QNetworkAccessManager prototype object and also have the following properties.

- networkAccessible